package com.lightinit.hsdataplatform.mapper;

import com.lightinit.hsdataplatform.entity.RequirementData;
import com.lightinit.hsdataplatform.entity.RequirementDataExample;
import java.util.List;

import com.lightinit.hsdataplatform.model.admin.DataSupplyListModel;
import com.lightinit.hsdataplatform.model.admin.DataSupplyPagingSearchModel;
import com.lightinit.hsdataplatform.model.admin.DataSupplySearchModel;
import org.apache.ibatis.annotations.Param;

public interface RequirementDataMapper {
    long countByExample(RequirementDataExample example);

    int deleteByExample(RequirementDataExample example);

    int deleteByPrimaryKey(Long id);

    int insert(RequirementData record);

    int insertSelective(RequirementData record);

    List<RequirementData> selectByExample(RequirementDataExample example);

    RequirementData selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") RequirementData record, @Param("example") RequirementDataExample example);

    int updateByExample(@Param("record") RequirementData record, @Param("example") RequirementDataExample example);

    int updateByPrimaryKeySelective(RequirementData record);

    int updateByPrimaryKey(RequirementData record);

    List<DataSupplyListModel> selectModelList(DataSupplyPagingSearchModel inputModel);

    long selectModelListCount(DataSupplySearchModel inputModel);

    int insertRequirementDataId(RequirementData requirementData);
}